package com.epson.iprint.shared;

import android.os.Bundle;
import java.io.Serializable;
import java.util.ArrayList;

public class SharedParamStatus extends SharedParam implements Serializable {
    private static final long serialVersionUID = 1810612490181007537L;
    private ArrayList<String> arrayOutInkName = null;
    private ArrayList<Integer> arrayOutInkRemain = null;
    private ArrayList<Integer> mEscprLibInkStatus = null;
    private String mcsModelName = null;
    private int miReturnStatus = 4;

    public void setParam(Bundle bundle) throws SharedDataException {
    }

    public /* bridge */ /* synthetic */ String getPackage_name() {
        return super.getPackage_name();
    }

    public /* bridge */ /* synthetic */ boolean isAvailable() {
        return super.isAvailable();
    }

    public void setPrinter_name(String str) {
        this.mcsModelName = str;
    }

    public void setPrinter_status(int i) {
        this.miReturnStatus = i;
    }

    public String getPrinter_name() {
        return this.mcsModelName;
    }

    public int getPrinter_status() {
        return this.miReturnStatus;
    }

    public ArrayList<String> getArrayOutInkName() {
        return this.arrayOutInkName;
    }

    public void setArrayOutInkName(ArrayList<String> arrayList) {
        this.arrayOutInkName = arrayList;
    }

    public void clearArrayOutInkName() {
        this.arrayOutInkName.clear();
    }

    public ArrayList<Integer> getArrayOutInkRemain() {
        return this.arrayOutInkRemain;
    }

    public void setArrayOutInkRemain(ArrayList<Integer> arrayList) {
        this.arrayOutInkRemain = arrayList;
    }

    public void clearArrayOutInkRemain() {
        this.arrayOutInkRemain.clear();
    }

    public ArrayList<Integer> getExternInkStatus() {
        ArrayList<Integer> arrayList = this.mEscprLibInkStatus;
        if (arrayList == null) {
            return null;
        }
        ArrayList<Integer> arrayList2 = new ArrayList<>(arrayList.size());
        for (int i = 0; i < this.mEscprLibInkStatus.size(); i++) {
            int intValue = this.mEscprLibInkStatus.get(i).intValue();
            if (intValue != -3) {
                switch (intValue) {
                    case -1:
                        break;
                    case 0:
                        if (this.arrayOutInkRemain.get(i).intValue() != 0) {
                            arrayList2.add(0);
                            break;
                        } else {
                            arrayList2.add(2);
                            continue;
                        }
                    case 1:
                        arrayList2.add(1);
                        continue;
                    case 2:
                        arrayList2.add(2);
                        continue;
                    default:
                        arrayList2.add(-1);
                        continue;
                }
            }
            arrayList2.add(2);
        }
        return arrayList2;
    }

    public void setEscprlibInkStatus(ArrayList<Integer> arrayList) {
        this.mEscprLibInkStatus = arrayList;
    }
}
