package com.epson.mobilephone.common.license;

import android.content.Context;


import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import java.io.Serializable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public interface UserSurveyInfo extends Serializable {
    public static final int BUTTON_CANCEL = 0;
    public static final int BUTTON_OK = 1;
    public static final int NOT_RESPONDED = 0;
    public static final int RESPONDED_CURRENT_VERSION = 2;
    public static final int RESPONDED_OLD_VERSION = 1;

    @Retention(RetentionPolicy.SOURCE)
    public @interface ButtonType {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface UserSurveyMode {
    }

    @Nullable
    String getButtonString(@NonNull Context context, int i);

    int getResponseStatus(@NonNull Context context);

    @Nullable
    String getUserSurveyInvitationText(@NonNull Context context);

    void setUserSurveyAgreement(@NonNull Context context, boolean z);
}
